Subject: Re: bug#49665: 28.0.50; Failing autorevert tests on Cygwin

From: Ken Brown <[email-masked]>
Date: Tue, 20 Jul 2021 16:15:58 -0400

On 7/20/2021 1:37 PM, Michael Albinus wrote:

Hi Michael,

> We have the tag :unstable for such tests. You might tag all tests you're
> not interested in. Something like this after the docstring:
> 
>       :tags (when (eq system-type 'cygwin) '(:unstable))
> 
> Perhaps also a comment.

Good idea.  I'll do this after you've had a chance to look at it.

> If you could provide me a recent Emacs 28 for cygwin, I could try to
> check what's up.

Here they are:

64-bit: https://paste.c-net.org/ToughenTheory

32-bit: https://paste.c-net.org/ChewsAtomic

I've built them --with-x=no to reduce the number of dependent libraries.  But 
you'll still probably need a fairly up-to-date Cygwin installation to run them.

Thanks for taking a look.

Ken